Subject: Question on arping not updating the arp table in v3.10.61

From: Murali Karicheri <[email-masked]>
Date: Wed, 21 Jan 2015 18:30:44 -0500

Hi,

I am facing an issue on my board that is using v3.10.61 Linux kernel. 
The arping -c 3 -f <IP address> doesn't update the arp table even though 
I get a proper response

root@keystone-evm:~# arping -b -c 3 -I eth0 -f 158.218.104.3
ARPING to 158.218.104.3 from 158.218.104.192 via eth0
Unicast reply from 158.218.104.3 [0:12:1:f7:d6:ff] 0.751ms
Sent 1 probe(s) (1 broadcast(s))
Received 1 replies (0 request(s), 0 broadcast(s))

root@keystone-evm:~# arp -n -a
? (158.218.104.1) at 00:00:0c:07:ac:68 [ether]  on eth0
? (158.218.104.233) at d4:be:d9:3d:b6:c1 [ether]  on eth0

But by enabling following sysfs entry, it works.

  echo 1 > /proc/sys/net/ipv4/conf/eth0/arp_accept

Is this the expected behavior? On my ubuntu Linux pc with v3.2 running I 
don't have to do this and it always update the arp table.

Thanks for your help.

-- 
Murali Karicheri
Linux Kernel, Texas Instruments